Create Share
Endpoint for our [Customize Once and Share](https://calendly.com/help/how-to-create-a-single-use-link) feature. This allows you to customize events for a specific invitee without needing to make an entirely new event type.
***This feature is only available for one-on-one event types.***
**Note: Any parameter which is not provided in the request body will be copied from the target event type.**
<Info title="Required scopes">
> `shares:write`
</Info>
Authentication
AuthorizationBearer
OAuth 2.0
OR
AuthorizationBearer
Personal Access Token
Request
event_type
name
duration
Must be one of the provided duration options. If duration options aren't provided then duration must be one of the duration options inherited from the event type.
duration_options
A maximum of 4 unique options is allowed. Each option must be >= 1 and <= 720.
period_type
Allowed values:
start_date
is required when period_type is ‘fixed’
Format: YYYY-MM-DD
end_date
is required when period_type is ‘fixed’
Format: YYYY-MM-DD
max_booking_time
is required when period_type is ‘moving’ or ‘available_moving’
hide_location
determines if a location is hidden until invitee books a spot, only respected when there is a single custom location configured
location_configurations
availability_rule
Response
Created
resource
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error